package com.ssj.service.kmt.exercisesys.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2020/4/14
 */
public class Exercise2Dto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 练习册完整封面页
     */
    private String url1;
    /**
     * 含印刷版次页
     */
    private String url2;
    /**
     * 练习册名
     */
    private String bookName;
    /**
     * 出版社
     */
    private String press;
    /**
     * 科目
     */
    private String subject;
    /**
     * 年级
     */
    private String grade;
    /**
     * 版本
     */
    private Integer version;
    /**
     * 版本名称
     */
    private String versionName;
    /**
     * 上下册(1:上，2：下)
     */
    private Integer semester;
    /**
     * 印刷年份
     */
    private String printYear;
    /**
     * 使用年份
     */
    private String useYear;
    /**
     * 状态
     */
    private String status;
    /**
     * 关联机构数
     */
    private int orgNums;
    /**
     * 对接进度
     */
    private String progress;
    /**
     * 优先级
     */
    private String priority;
    /**
     * 被识别次数
     */
    private int identifiedNums;
    /**
     * 最近编辑人
     */
    private String editName;
    /**
     * 最近编辑时间
     */
    private String updateTime;
    /**
     * 关联机构
     */
    private List<Library> libList;
    /**
     * 练习册类型(0整本,1上半本，2下半本，3完成不同的页码的新版练习册)
     */
    private int bookType;

    public int getBookType() {
        return bookType;
    }

    public void setBookType(int bookType) {
        this.bookType = bookType;
    }

    public class Library implements Serializable {
        private static final long serialVersionUID = 1L;
        /**
         * 机构id
         */
        private String libId;
        /**
         * 机构名称
         */
        private String libName;

        public String getLibId() {
            return libId;
        }

        public void setLibId(String libId) {
            this.libId = libId;
        }

        public String getLibName() {
            return libName;
        }

        public void setLibName(String libName) {
            this.libName = libName;
        }
    }

    public String getUrl1() {
        return url1;
    }

    public void setUrl1(String url1) {
        this.url1 = url1;
    }

    public String getUrl2() {
        return url2;
    }

    public void setUrl2(String url2) {
        this.url2 = url2;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getPress() {
        return press;
    }

    public void setPress(String press) {
        this.press = press;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public Integer getSemester() {
        return semester;
    }

    public void setSemester(Integer semester) {
        this.semester = semester;
    }

    public String getPrintYear() {
        return printYear;
    }

    public void setPrintYear(String printYear) {
        this.printYear = printYear;
    }

    public String getUseYear() {
        return useYear;
    }

    public void setUseYear(String useYear) {
        this.useYear = useYear;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public int getOrgNums() {
        return orgNums;
    }

    public void setOrgNums(int orgNums) {
        this.orgNums = orgNums;
    }

    public String getProgress() {
        return progress;
    }

    public void setProgress(String progress) {
        this.progress = progress;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public int getIdentifiedNums() {
        return identifiedNums;
    }

    public void setIdentifiedNums(int identifiedNums) {
        this.identifiedNums = identifiedNums;
    }

    public String getEditName() {
        return editName;
    }

    public void setEditName(String editName) {
        this.editName = editName;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public List<Library> getLibList() {
        return libList;
    }

    public void setLibList(List<Library> libList) {
        this.libList = libList;
    }
}
